<?php

	require 'auxiliares/funcoes-upload.php';

	if($_POST['chkManterCapa'] != 1){

		if($_FILES['arquivo']['size'] > 0){
			$numero = rand(1,99999999);
			$arquivo = $_FILES['arquivo']['tmp_name'];
	    $nomearquivo = $_FILES['arquivo']['name'];
	    $nomearquivo= $numero.tratar_arquivo_upload($nomearquivo);

	     $querySelectNumArquivos = "	SELECT 
					 				  COUNT(tools.`id`) 
					 				FROM
					 				  ferramentas AS tools
					 				WHERE SUBSTR(tools.`arquivo`, 1, LENGTH('".$nomearquivo."')) = '".$nomearquivo."'";

				$selectNumArquivos = mysql_query($querySelectNumArquivos);

		 if(mysql_num_rows($selectNumArquivos) > 0) 
		 	{ 
		 		$nomearquivo."-".mysql_result($selectNumArquivos, 0, 0);
		 	}

	    $novo_caminho = "arquivos/ferramentas/$nomearquivo";

	    copy($arquivo, $novo_caminho);

			$updateQuery = "UPDATE ferramentas SET titulo = '".mysql_escape_string(utf8_decode($_POST['titulo']))."', arquivo = '".mysql_escape_string($nomearquivo)."', descricao = '".mysql_escape_string(utf8_decode($_POST['descricao']))."' WHERE id = '".mysql_escape_string($_POST['idFerramenta'])."'";
		
		}
	}

	else {
		$updateQuery = "UPDATE ferramentas SET titulo = '".mysql_escape_string(utf8_decode($_POST['titulo']))."', descricao = '".mysql_escape_string(utf8_decode($_POST['descricao']))."' WHERE id = '".mysql_escape_string($_POST['idFerramenta'])."'";
	}

	$updateMarca = mysql_query($updateQuery);

	if($updateMarca){ ?>
		<table>
			<tr>
				<td>
					Ferramenta atualizada com Sucesso!
					<meta http-equiv="refresh" content="2; url=miolo.php?miolo=ferramentas&acao=listar" />
				</td>
			</tr>
		</table>
		<?php }

	if(!$updateMarca){
		?>
		<table>
			<tr>
				<td>
					Houve um erro ao atualizar a ferramenta.
					<meta http-equiv="refresh" content="2; url=miolo.php?miolo=ferramentas&acao=listar" />
				</td>
			</tr>
		</table>
	<?php } ?>